KEYCTL_UNLINK(2const)

NAME
KEYCTL_UNLINK - unlink a key from a keyring

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/keyctl.h>  /* Definition of KEY* constants */
#include <sys/syscall.h>   /* Definition of SYS_* constants */
#include <unistd.h>

long syscall(SYS_keyctl, KEYCTL_UNLINK, key_serial_t key,
             key_serial_t keyring);

DESCRIPTION
Unlink a key from a keyring.

The ID of the key to be unlinked is specified in key; the ID of the keyring from which it is to be unlinked is specified in keyring.

If the key is not currently linked into the keyring, an error results.

The caller must have write permission on the keyring from which the key is being removed.

If the last link to a key is removed, then that key will be scheduled for destruction.

RETURN VALUE
On success, 0 is returned.

On error, -1 is returned, and errno is set to indicate the error.

ERRORS

ENOENT
    The key to be unlinked isn't linked to the keyring.

VERSIONS
A wrapper is provided in the libkeyutils library: keyctl_unlink(3).

STANDARDS
Linux.

HISTORY
Linux 2.6.10.

SEE ALSO
keyctl(2), keyctl_unlink(3), KEYCTL_LINK(2const)